Package org.eclipse.lemminx.services.extensions

## Interface IHighlightingParticipant

All Known Implementing Classes:
  `DTDHighlightingParticipant`, `RNGHighlightingParticipant`, `XMLReferencesHighlightingParticipant`, `XSDHighlightingParticipant`

    public interface IHighlightingParticipant

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findDocumentHighlights​(DOMNode node, org.eclipse.lsp4j.Position position, int offset, List<org.eclipse.lsp4j.DocumentHighlight> highlights, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Method Detail

#### findDocumentHighlights

    void findDocumentHighlights​(DOMNode node,
                                org.eclipse.lsp4j.Position position,
                                int offset,
                                List<org.eclipse.lsp4j.DocumentHighlight> highlights,
                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)